import { jsxs, jsx } from 'react/jsx-runtime';
import * as React from 'react';

const defaultColor = "#FFFFFF";
const SiCobalt = React.forwardRef(function SiCobalt2({ title = "cobalt", color = "currentColor", size = 24, ...others }, ref) {
  if (color === "default") {
    color = defaultColor;
  }
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      ref,
      ...others,
      children: [
        /* @__PURE__ */ jsx("title", { children: title }),
        /* @__PURE__ */ jsx("path", { d: "M0 4.363v2.778l9.475 5.152L0 16.859v2.778l12.857-6.418V11.49zm11.143 0v2.778l9.474 5.152-9.474 4.566v2.778L24 13.219V11.49z" })
      ]
    }
  );
});

export { SiCobalt as default, defaultColor };
