import { jsxs, jsx } from 'react/jsx-runtime';
import * as React from 'react';

const defaultColor = "#00C4B8";
const SiFormbricks = React.forwardRef(function SiFormbricks2({ title = "Formbricks", color = "currentColor", size = 24, ...others }, ref) {
  if (color === "default") {
    color = defaultColor;
  }
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      ref,
      ...others,
      children: [
        /* @__PURE__ */ jsx("title", { children: title }),
        /* @__PURE__ */ jsx("path", { d: "M8.658 0a5.714 5.714 0 0 0-5.715 5.714v1.532h14.49a3.623 3.623 0 0 0 0-7.246ZM2.943 8.377v7.246h14.49a3.623 3.623 0 0 0 0-7.246zm0 8.377v3.623a3.623 3.623 0 0 0 7.246 0v-3.623z" })
      ]
    }
  );
});

export { SiFormbricks as default, defaultColor };
