import { jsxs, jsx } from 'react/jsx-runtime';
import * as React from 'react';

const defaultColor = "#E5322D";
const SiIlovepdf = React.forwardRef(function SiIlovepdf2({ title = "iLovePDF", color = "currentColor", size = 24, ...others }, ref) {
  if (color === "default") {
    color = defaultColor;
  }
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      ref,
      ...others,
      children: [
        /* @__PURE__ */ jsx("title", { children: title }),
        /* @__PURE__ */ jsx("path", { d: "M15.374 2.094c-1.347.65-2.356 1.744-3.094 2.985C11.095 3.087 9.21 1.47 6.356 1.47 3.501 1.47 0 3.894 0 7.987c0 4.145 3.458 6.109 5.171 7.218 1.831 1.185 4.955 3.339 7.11 7.325 2.154-3.986 5.278-6.14 7.109-7.325 1.287-.834 3.56-2.151 4.61-4.514Zm-.104 8.832V3.138l7.788 7.788H15.27z" })
      ]
    }
  );
});

export { SiIlovepdf as default, defaultColor };
