import { jsxs, jsx } from 'react/jsx-runtime';
import * as React from 'react';

const defaultColor = "#94C125";
const SiVoelkner = React.forwardRef(function SiVoelkner2({ title = "voelkner", color = "currentColor", size = 24, ...others }, ref) {
  if (color === "default") {
    color = defaultColor;
  }
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      ref,
      ...others,
      children: [
        /* @__PURE__ */ jsx("title", { children: title }),
        /* @__PURE__ */ jsx("path", { d: "M19.4 3.502C18.093 8.84 15.018 16.05 11.964 16.05S5.841 8.827 4.552 3.502H0c.229 1.007 1.121 4.707 2.597 8.122 2.543 5.89 5.695 8.876 9.367 8.876s6.828-2.991 9.385-8.893C22.806 8.247 23.737 4.592 24 3.5h-4.6z" })
      ]
    }
  );
});

export { SiVoelkner as default, defaultColor };
