
    import * as React from 'react';

    import { IconType } from '../types';

    type SiTuxedocomputersProps = React.ComponentPropsWithoutRef<'svg'> & {
      /**
       * The title provides an accessible short text description to the SVG
       */
      title?: string;
      /**
       * Hex color or color name or "default" to use the default hex for each icon
       */
      color?: string;
      /**
       * The size of the Icon.
       */
      size?: string | number;
    }

    const defaultColor = '#000000';

    const SiTuxedocomputers: IconType = React.forwardRef<SVGSVGElement, SiTuxedocomputersProps>(function SiTuxedocomputers({title = 'TUXEDO Computers', color = 'currentColor', size = 24, ...others }, ref) {
      if (color === 'default') {
        color = defaultColor;
      }

      return (
        <svg
          xmlns='http://www.w3.org/2000/svg'
          width={size}
          height={size}
          fill={color}
          viewBox='0 0 24 24'
          ref={ref}
          {...others}
        >
          <title>{title}</title>
          <path d='m13.958 11.13 4.597 7.444h-3.509l-2.94-4.921-4.333 6.365L24 19.968c-.074.725-.144 1.45-.215 2.174-12.391.052-7.537.105-19.928.105l7.192-10.223-4.06-6.666h3.497l2.386 4.096 3.49-5.515C5.202 3.887 11.17 3.987 0 3.963L.223 1.8c12.392-.015 7.498-.046 19.889-.046z' />
        </svg>
      );
    });

    export { SiTuxedocomputers as default, defaultColor };
  